PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
plask::CompressedSetOfNumbers< number_t >::Segment Struct Reference

`#include <plask/utils/numbers_set.hpp>`

## Public Member Functions
| Segment ()=default
| Segment (number_t numberEnd, number_t indexEnd)
bool | operator== (const Segment &other) const
bool | operator!= (const Segment &other) const

## Static Public Member Functions
static bool | compareByIndexEnd (number_t i, const Segment &seg)
static bool | compareByNumberEnd (number_t n, const Segment &seg)

## Public Attributes
number_t | numberEnd
| last number in the segment increased by one
number_t | indexEnd
| accumulated count of segments length, up to this and including this = index-1 of numberEnd-1 in the set = first index in the next segment

## Detailed Description

template<typename number_t = std::size_t>
struct plask::CompressedSetOfNumbers< number_t >::Segment

Definition at line 34 of file numbers_set.hpp.

## Constructor & Destructor Documentation

## ◆ Segment() [1/2]

template<typename number_t = std::size_t>

plask::CompressedSetOfNumbers< number_t >::Segment::Segment | ( |  | ) |
| default

## ◆ Segment() [2/2]

template<typename number_t = std::size_t>

plask::CompressedSetOfNumbers< number_t >::Segment::Segment | ( | number_t | numberEnd,
|  | number_t | indexEnd
| ) |  |
| inline

Definition at line 46 of file numbers_set.hpp.

## Member Function Documentation

## ◆ compareByIndexEnd()

template<typename number_t = std::size_t>

static bool plask::CompressedSetOfNumbers< number_t >::Segment::compareByIndexEnd | ( | number_t | i,
|  | const Segment & | seg
| ) |  |
| inline static

Definition at line 40 of file numbers_set.hpp.

## ◆ compareByNumberEnd()

template<typename number_t = std::size_t>

static bool plask::CompressedSetOfNumbers< number_t >::Segment::compareByNumberEnd | ( | number_t | n,
|  | const Segment & | seg
| ) |  |
| inline static

Definition at line 42 of file numbers_set.hpp.

## ◆ operator!=()

template<typename number_t = std::size_t>

bool plask::CompressedSetOfNumbers< number_t >::Segment::operator!= | ( | const Segment & | other | ) | const
| inline

Definition at line 52 of file numbers_set.hpp.

## ◆ operator==()

template<typename number_t = std::size_t>

bool plask::CompressedSetOfNumbers< number_t >::Segment::operator== | ( | const Segment & | other | ) | const
| inline

Definition at line 48 of file numbers_set.hpp.

## Member Data Documentation

## ◆ indexEnd

template<typename number_t = std::size_t>

number_t plask::CompressedSetOfNumbers< number_t >::Segment::indexEnd

accumulated count of segments length, up to this and including this = index-1 of numberEnd-1 in the set = first index in the next segment

Definition at line 38 of file numbers_set.hpp.

## ◆ numberEnd

template<typename number_t = std::size_t>

number_t plask::CompressedSetOfNumbers< number_t >::Segment::numberEnd

last number in the segment increased by one

Definition at line 36 of file numbers_set.hpp.

The documentation for this struct was generated from the following file:

- plask/utils/numbers_set.hpp